# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc商品金额调整验证_下单,2288,2288-28,sit,bs
涉及到接口:多采商城提交订单接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from common.db.db import mySql
import requests
import random
import json

module = "cmdc_order_handle"

# 第一步登录多采商城获取token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 生成随机数字用于商品金额
amount_product = float(random.randint(100, 1000))
# print(amount_product)
# 进行商品金额调整操作
sql = "UPDATE `cmdc-product`.ic_product t SET t.referencePrice = {} WHERE t.productId = 9184".format(amount_product)
mysql_handle.executeUpdate(host, port, user, pwd, "cmdc-product", sql)

# 第二步进行提交订单
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url19")
request_body = commonFuc().get_business_data(module, "payload19")

"""
 场景: 验证进行订单提交时，修改商品金额，订单是否按修改前商品金额计算
 用例名称：商品金额调整验证_下单
 输出：{"productAmount":"720.38"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)

# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
# print(result)
result["api_time"] = api_time
if result["success"]:
    # 获取订单中商品金额
    result = {"productAmount": result["data"]["国药集团联合医疗器械有限公司"]["productAmount"]}
    result["api_time"] = api_time
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict22")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
else:
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDictInvalid")
    # print(check_dict)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
