# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc采购单新增验证,2295,2295-10,sit,bs
主数据平台:后台运营系统采购单新增接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步采购单新增
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url10")
request_body = commonFuc().get_business_data(module, "payload10")
# print(request_body)
"""

 场景: 采购单新增验证
 用例名称：采购单新增验证
 输出：{"productCode":"11852135"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取采购单新增后生成的id
result = json.loads(result.content)
# print(result)
purchase_id = result["data"]

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库新增采购单对应的商品code
sql = "SELECT t.product_code FROM `cmdc-order`.tc_purchase_entry t WHERE purchase_id = {}".format(purchase_id)
product_code = mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]

# 实际结果
result = {"productCode": product_code}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict10")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
